Texa Desk Application API · Conversations
Conversations List
GET/
List all the conversations with pagination
Authorization
api_access_tokenheaderrequiredA person's access token (Texa Desk, Profile settings → Access token) or an agent bot's token, in the api_access_token header. It acts as that person, with their role's permissions.
Path parameters
account_idintegerrequiredThe numeric ID of the account
Query parameters
assignee_typestringFilter conversations by assignee type.
statusstringFilter by conversation status.
qstringFilters conversations with messages containing the search term
inbox_idintegerteam_idintegerlabelsarray of stringpageintegerpaginate through conversations
Responses
200Success
dataobjectdata.metaobjectdata.meta.mine_countnumberdata.meta.unassigned_countnumberdata.meta.assigned_countnumberdata.meta.all_countnumberdata.payloadarray of objectarray of conversations
data.payload[].idnumberID of the conversation
data.payload[].messagesarray of objectdata.payload[].account_idnumberAccount Id
data.payload[].uuidstringUUID of the conversation
data.payload[].additional_attributesobjectThe object containing additional attributes related to the conversation
data.payload[].agent_last_seen_atnumberThe last activity at of the agent
data.payload[].assignee_last_seen_atnumberThe last activity at of the assignee
data.payload[].can_replybooleanWhether the conversation can be replied to
data.payload[].contact_last_seen_atnumberThe last activity at of the contact
data.payload[].custom_attributesobjectThe object to save custom attributes for conversation, accepts custom attributes key and value
data.payload[].inbox_idnumberID of the inbox
data.payload[].labelsarray of stringThe labels of the conversation
data.payload[].mutedbooleanWhether the conversation is muted
data.payload[].snoozed_untilnumberThe time at which the conversation will be unmuted
data.payload[].statusstringThe status of the conversation One of: open, resolved, pending.
data.payload[].created_atnumberThe time at which conversation was created
data.payload[].updated_atnumberThe time at which conversation was updated
data.payload[].timestampnumberThe time at which conversation was created
data.payload[].first_reply_created_atnumberThe time at which the first reply was created
data.payload[].unread_countnumberThe number of unread messages
data.payload[].last_non_activity_messageobject or nullThe last non activity message
data.payload[].last_activity_atnumberThe last activity at of the conversation
data.payload[].prioritystringThe priority of the conversation
data.payload[].waiting_sincenumberThe time at which the conversation was waiting
data.payload[].sla_policy_idnumberThe ID of the SLA policy
data.payload[].applied_slaobjectThe applied SLA
data.payload[].sla_eventsarray of objectdata.payload[].metaobject400Bad Request Error
descriptionstringerrorsarray of objecterrors[].fieldstringerrors[].messagestringerrors[].codestring